<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <s:div id="globalDiv">
                <h1>#{messages['gazelle.ordermanager.WOSQueriesReceivedByTheAnalyzerManager']}</h1>
                <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">
                    <ui:define name="filter_buttons">
                        <a4j:commandLink title="#{messages['gazelle.ordermanager.RefreshResults']}"
                                         render="globalForm">
                            <span class="gzl-icon-refresh"/>
                        </a4j:commandLink>
                        <a4j:commandLink title="#{messages['gazelle.hl7.validator.ResetCriteria']}"
                                         actionListener="#{wosQueryContentManager.reset()}"
                                         render="globalForm">
                            <span class="gzl-icon-times-circle"/>
                        </a4j:commandLink>
                    </ui:define>
                    <div class="form-horizontal">
                        <ui:include src="/filter/filterDate.xhtml">
                            <ui:param name="filter" value="#{wosQueryContentManager.filter}"/>
                            <ui:param name="filterId" value="timestamp"/>
                            <ui:param name="filterName" value="#{messages['gazelle.ordermanager.Date']}"/>
                            <ui:param name="filterForm" value="globalForm"/>
                        </ui:include>
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="form_template" value="/layout/form/_form_field_horizontal_4-8.xhtml"/>
                            <ui:param name="filter" value="#{wosQueryContentManager.filter}"/>
                            <ui:param name="filterId" value="requester"/>
                            <ui:param name="filterName" value="#{messages['gazelle.ordermanager.Analyzer']}"/>
                            <ui:param name="filterForm" value="globalForm"/>
                        </ui:include>
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="form_template" value="/layout/form/_form_field_horizontal_4-8.xhtml"/>
                            <ui:param name="filter" value="#{wosQueryContentManager.filter}"/>
                            <ui:param name="filterId" value="queryType"/>
                            <ui:param name="filterName" value="#{messages['gazelle.ordermanager.QueryType']}"/>
                            <ui:param name="filterForm" value="globalForm"/>
                        </ui:include>
                    </div>
                </ui:decorate>
                #{dataTableStateHolder.setDescendingOn('timestamp')}
                <rich:dataTable value="#{wosQueryContentManager.queries}" var="query"
                                rows="#{dataScrollerMemory.numberOfResultsPerPage}" id="queryTable"
                                render="ds">
                    <g:column sortBy="#{'timestamp'}" sortOrder="#{dataTableStateHolder.sortOrders['timestamp']}">
                        <ui:define name="header">#{messages['gazelle.HL7Common.TimeStamp']}</ui:define>
                        <g:date value="#{query.timestamp}"/>
                    </g:column>
                    <g:column>
                        <ui:define name="header">#{messages['gazelle.ordermanager.Analyzer']}</ui:define>
                        <h:outputText value="#{query.requester}"/>
                    </g:column>
                    <g:column>
                        <ui:define name="header">#{messages['gazelle.ordermanager.QueryType']}</ui:define>
                        <h:outputText value="#{query.queryType}"/>
                    </g:column>
                    <g:column>
                        <ui:define name="header">#{messages['gazelle.ordermanager.Parameters']}</ui:define>
                        <s:div rendered="#{not query.queryType.equals('WOS_ALL')}">
                            <dl class="dl-horizontal">
                                <s:decorate template="/layout/display/_data_list_item.xhtml"
                                            rendered="#{not empty query.containerId}">
                                    <ui:define name="label">#{messages['gazelle.ordermanager.ContainerIdentifier']}</ui:define>
                                    <h:outputText value="#{query.containerId}"/>
                                </s:decorate>
                                <s:decorate template="/layout/display/_data_list_item.xhtml"
                                            rendered="#{not empty query.carrierId}">
                                    <ui:define name="label">#{messages['gazelle.ordermanager.CarrierIdentifier']}</ui:define>
                                    <h:outputText value="#{query.carrierId}"/>
                                </s:decorate>
                                <s:decorate template="/layout/display/_data_list_item.xhtml"
                                            rendered="#{not empty query.positionInCarrier}">
                                    <ui:define name="label">#{messages['gazelle.ordermanager.PositionInCarrier_2']}</ui:define>
                                    <h:outputText value="#{query.positionInCarrier}"/>
                                </s:decorate>
                                <s:decorate template="/layout/display/_data_list_item.xhtml"
                                            rendered="#{not empty query.trayId}">
                                    <ui:define name="label">#{messages['gazelle.ordermanager.TrayIdentifier']}</ui:define>
                                    <h:outputText value="#{query.trayId}"/>
                                </s:decorate>
                                <s:decorate template="/layout/display/_data_list_item.xhtml"
                                            rendered="#{not empty query.positionInTray}">
                                    <ui:define name="label">#{messages['gazelle.ordermanager.PositionInTray_3']}</ui:define>
                                    <h:outputText value="#{query.positionInTray}"/>
                                </s:decorate>
                                <s:decorate template="/layout/display/_data_list_item.xhtml"
                                            rendered="#{not empty query.location}">
                                    <ui:define name="label">#{messages['gazelle.ordermanager.Location']}</ui:define>
                                    <h:outputText value="#{query.location}"/>
                                </s:decorate>
                                <s:decorate template="/layout/display/_data_list_item.xhtml"
                                            rendered="#{not empty query.primaryContainerId}">
                                    <ui:define name="label">#{messages['gazelle.ordermanager.PrimaryContainerId']}</ui:define>
                                    <h:outputText value="#{query.primaryContainerId}"/>
                                </s:decorate>
                            </dl>
                        </s:div>
                    </g:column>
                    <g:column>
                        <ui:define name="header">#{messages['gazelle.ordermanager.MatchingWOS']}</ui:define>
                        <h:panelGrid columns="3">
                            <h:outputText value="#{query.matchingOrders.size()}"/>
                            <gdk:spacer width="5px"/>
                            <a4j:commandLink title="#{messages['gazelle.ordermanager.RefreshList']}"
                                             render="queryTable, awosPopupContent"
                                             oncomplete="jq162('#displayOrders').modal('show');"
                                             actionListener="#{wosQueryContentManager.updateMatchingOrders(query)}">
                                <s:span styleClass="gzl-icon-refresh"/>
                            </a4j:commandLink>
                        </h:panelGrid>
                    </g:column>
                    <f:facet name="footer">
                        <ui:include src="/util/datatableFooter.xhtml">
                            <ui:param name="dataScrollerId" value="ds"/>
                            <ui:param name="dataTableId" value="queryTable"/>
                        </ui:include>
                    </f:facet>
                </rich:dataTable>
            </s:div>
            <ui:include src="/lab/awosQueryReponsePopup.xhtml"/>
        </h:form>
    </ui:define>
</ui:composition>
